diff --git a/contrib/scripts/live_ast b/contrib/scripts/live_ast
index 355c6cc..1a68eef 100755
--- a/contrib/scripts/live_ast
+++ b/contrib/scripts/live_ast
@@ -186,33 +186,16 @@ install)
   ;;
 samples)
   make samples DESTDIR="$BASE_DIR"
+  sed -r -i \
+    -e '/^\[directories\]\(!\)/s/\(!\).*//' \
+    -e "/^\[directories\]/a; rem-out any of the following to use Asterisk's defaults:" \
+    -e "/^ast(etc|mod|varlib|data|agi|run|spool|log|db|key)dir\>/s| /| $BASE_DIR/|" \
+    "$AST_CONF"
   if [ "$LIVE_AST_FOR_SYSTEM" != '' ]; then
-    cat <<EOF >"$AST_CONF"
-[directories]
-; rem-out any of the following to use Asterisk's defaults:
-;astetcdir    => $BASE_DIR/etc/asterisk
-astmoddir    => $BASE_DIR/usr/lib/asterisk/modules
-;astvarlibdir => $BASE_DIR/var/lib/asterisk
-;astdatadir   => $BASE_DIR/var/lib/asterisk
-;astagidir    => $BASE_DIR/var/lib/asterisk/agi
-;astrundir    => $BASE_DIR/var/run
-astrundir    => /var/run/asterisk
-;astspooldir  => $BASE_DIR/var/spool/asterisk
-;astlogdir    => $BASE_DIR/var/log/asterisk
-EOF
-  else
-    cat <<EOF >"$AST_CONF"
-[directories]
-; rem-out any of the following to use Asterisk's defaults:
-astetcdir    => $BASE_DIR/etc/asterisk
-astmoddir    => $BASE_DIR/usr/lib/asterisk/modules
-astvarlibdir => $BASE_DIR/var/lib/asterisk
-astdatadir   => $BASE_DIR/var/lib/asterisk
-astagidir    => $BASE_DIR/var/lib/asterisk/agi
-astrundir    => $BASE_DIR/var/run
-astspooldir  => $BASE_DIR/var/spool/asterisk
-astlogdir    => $BASE_DIR/var/log/asterisk
-EOF
+    sed -r -i \
+      -e "/^ast(etc|varlib|data|agi|run|spool|log|db|key)dir\>/s|^|;|" \
+      -e "/^;astrundir\>/aastrundir    => /var/run/asterisk" \
+      "$AST_CONF"
   fi
   # disable some modules that bind on a port that is already in use by a
   # main Asterisk copy, and would crash asterisk in failing:
